
Infrastructure - Task #6479

Bug # 3998 (Closed): Log Aggregation is not handling equivalent identities correctly

update SessionAuthorizationUtils to handle nonStandardizable Subject values

2014-09-25 21:15 - Rob Nahf

Status: Closed Start date: 2014-09-25

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_cn_solr_extensions Estimated time: 0.00 hour

Target version: CCI-1.4.1   

Milestone: None Story Points:  

Product Version: *   

Description

CertificateManager.standardizeDN(String v) throws the RuntimeException IllegalArgumentException, and is not handled by

SerssionAuthorizationUtils.addAuthenticatedSubjectsToRequest(..)

SInce subjectInfos will potentially contain non- X500Principal compatible Subject values, the method needs to leave those values

unstandardized. 

History

#1 - 2014-10-02 19:30 - Rob Nahf

- Status changed from In Progress to Testing

committed changes in latest branch.  need to test it.

#2 - 2014-10-02 19:34 - Robert Waltz

- Target version changed from CCI-1.4.2 to CCI-1.4.1

#3 - 2014-10-30 19:57 - Rob Nahf

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

- % Done changed from 80 to 100

deployed to sandbox and re-harvested log records and re-indexed.  Fortune had it that there were 51 LTER records that have the string 'null' as

values for rightsHolder and submitter field in their system metadata, and I was able to view the null (under readPermission field) from the

query/logsolr endpoint.
